Import buildroot 2016.02.01

This commit is contained in:
2016-02-24 22:35:39 +01:00
parent a6ee09dea4
commit 828befcf3c
7393 changed files with 390887 additions and 0 deletions

View File

@@ -0,0 +1,40 @@
#!/bin/sh
[ -x /usr/sbin/squid ] || exit 0
[ -f /etc/squid.conf ] || exit 0
case "$1" in
start)
printf "Starting squid: "
if [ ! -d /var/log/squid ]; then
mkdir -p /var/log/squid
chown squid:squid /var/log/squid
fi
start-stop-daemon -S -x /usr/sbin/squid
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
stop)
printf "Stopping squid: "
/usr/sbin/squid -k shutdown
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
reload)
printf "Reloading squid configuration: "
/usr/sbin/squid -k reconfigure
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
restart)
printf "Restarting squid: "
/usr/sbin/squid -k restart
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
*)
echo "Usage: $0 {start|stop|reload|restart}"
exit 1
esac
exit 0